Index: MP/MP/MP.h
===================================================================
--- MP/MP/MP.h	(revision dda55083d99d834e2bb04d41042afd9fee970586)
+++ MP/MP/MP.h	(revision a3600c96f2d4c4189dbfe8f553885cf86db78ffa)
@@ -809,5 +809,5 @@
 {
     int               link_id;
-    int               errno;
+    int               MP_errno;
     MP_Env_pt         env;
     MP_Transport_t    transp;
@@ -986,5 +986,5 @@
                                             MP_Status_t the_err));
 
-#define MP_ClearError(link) ((MP_Status_t) (link)->errno = MP_Success)
+#define MP_ClearError(link) ((MP_Status_t) (link)->MP_errno = MP_Success)
 
 EXTERN void MP_PrintError _ANSI_ARGS_((MP_Link_pt link));
Index: MP/MP/MP_Link.c
===================================================================
--- MP/MP/MP_Link.c	(revision dda55083d99d834e2bb04d41042afd9fee970586)
+++ MP/MP/MP_Link.c	(revision a3600c96f2d4c4189dbfe8f553885cf86db78ffa)
@@ -139,5 +139,5 @@
 
 #ifndef lint
-static char vcid[] = "@(#) $Id: MP_Link.c,v 1.4 1998-10-14 16:44:38 obachman Exp $";
+static char vcid[] = "@(#) $Id: MP_Link.c,v 1.5 1999-04-09 12:14:52 Singular Exp $";
 #endif /* lint */
 
@@ -261,5 +261,5 @@
     }
 
-    link->errno       = MP_Success;
+    link->MP_errno    = MP_Success;
     link->logmask     = MP_LOG_INIT_EVENTS;
     link->num_o_buff  = counter;
Index: MP/MP/MP_Util.c
===================================================================
--- MP/MP/MP_Util.c	(revision dda55083d99d834e2bb04d41042afd9fee970586)
+++ MP/MP/MP_Util.c	(revision a3600c96f2d4c4189dbfe8f553885cf86db78ffa)
@@ -38,5 +38,5 @@
 
 #ifndef lint
-static char vcid[] = "@(#) $Id: MP_Util.c,v 1.4 1998-10-14 16:44:39 obachman Exp $";
+static char vcid[] = "@(#) $Id: MP_Util.c,v 1.5 1999-04-09 12:14:52 Singular Exp $";
 #endif /* lint */
 
@@ -114,9 +114,9 @@
 #endif
 {
-    link->errno = the_err;
+    link->MP_errno = the_err;
     if (the_err != MP_Failure && the_err >= 0 && the_err < MP_MaxError)
         MP_LogEvent(link, MP_ERROR_EVENT, MP_errlist[the_err]);
     else {
-        sprintf(fix_log_msg, "Unknown error number %d", link->errno);
+        sprintf(fix_log_msg, "Unknown error number %d", link->MP_errno);
         MP_LogEvent(link, MP_ERROR_EVENT, fix_log_msg);
     }
@@ -134,5 +134,5 @@
 #endif
 {
-   return (link->errno = MP_Success);
+   return (link->MP_errno = MP_Success);
 }
 */
@@ -146,9 +146,9 @@
 #endif
 {
-    if (link->errno >= 0 && link->errno < MP_MaxError) {
-        fprintf(stderr, "\nMP ERROR: %s\n", MP_errlist[link->errno]);
+    if (link->MP_errno >= 0 && link->MP_errno < MP_MaxError) {
+        fprintf(stderr, "\nMP ERROR: %s\n", MP_errlist[link->MP_errno]);
         fflush(stderr);
     } else
-        fprintf(stderr, "MP: Unknown error number %d\n", link->errno);
+        fprintf(stderr, "MP: Unknown error number %d\n", link->MP_errno);
 }
 
@@ -161,6 +161,6 @@
 #endif
 {
-  if (link->errno >= 0 && link->errno < MP_MaxError)
-    return MP_errlist[link->errno];
+  if (link->MP_errno >= 0 && link->MP_errno < MP_MaxError)
+    return MP_errlist[link->MP_errno];
   else
     return "MP: Unknown error number";
@@ -176,6 +176,6 @@
 #endif
 {
-  if (link->errno != MP_Success && link->errno != MP_Failure 
-      && link->errno < MP_MaxError && link->errno >= 0)
+  if (link->MP_errno != MP_Success && link->MP_errno != MP_Failure 
+      && link->MP_errno < MP_MaxError && link->MP_errno >= 0)
     return MP_ErrorStr(link);
   if (status != MP_Success && status != MP_Failure && 
@@ -183,8 +183,8 @@
     return MP_errlist[status];
   
-  if (status == MP_Failure || link->errno == MP_Failure)
+  if (status == MP_Failure || link->MP_errno == MP_Failure)
     return MP_errlist[MP_Failure];
 
-  if (status == MP_Success && link->errno == MP_Success)
+  if (status == MP_Success && link->MP_errno == MP_Success)
     return MP_errlist[MP_Success];
   
Index: MP/MP/h/MP_Link.h
===================================================================
--- MP/MP/h/MP_Link.h	(revision dda55083d99d834e2bb04d41042afd9fee970586)
+++ MP/MP/h/MP_Link.h	(revision a3600c96f2d4c4189dbfe8f553885cf86db78ffa)
@@ -33,5 +33,5 @@
 {
     int               link_id;
-    int               errno;
+    int               MP_errno;
     MP_Env_pt         env;
     MP_Transport_t    transp;
Index: MP/MP/h/MP_Util.h
===================================================================
--- MP/MP/h/MP_Util.h	(revision dda55083d99d834e2bb04d41042afd9fee970586)
+++ MP/MP/h/MP_Util.h	(revision a3600c96f2d4c4189dbfe8f553885cf86db78ffa)
@@ -44,5 +44,5 @@
                                             MP_Status_t the_err));
 
-#define MP_ClearError(link) ((MP_Status_t) (link)->errno = MP_Success)
+#define MP_ClearError(link) ((MP_Status_t) (link)->MP_errno = MP_Success)
 
 EXTERN void MP_PrintError _ANSI_ARGS_((MP_Link_pt link));
Index: MP/MPT/MPT_Error.cc
===================================================================
--- MP/MPT/MPT_Error.cc	(revision dda55083d99d834e2bb04d41042afd9fee970586)
+++ MP/MPT/MPT_Error.cc	(revision a3600c96f2d4c4189dbfe8f553885cf86db78ffa)
@@ -49,5 +49,5 @@
 {
   if (error == MPT_MP_Failure &&
-      link != NULL && link->errno >= 0 && link->errno != MP_Success)
+      link != NULL && link->MP_errno >= 0 && link->MP_errno != MP_Success)
     return MP_ErrorStr(link);
   
Index: Singular/misc.cc
===================================================================
--- Singular/misc.cc	(revision dda55083d99d834e2bb04d41042afd9fee970586)
+++ Singular/misc.cc	(revision a3600c96f2d4c4189dbfe8f553885cf86db78ffa)
@@ -319,5 +319,5 @@
 
   while(!feof(index)
-        && *fgets(buffer, BUF_LEN, index) != EOF
+        && fgets(buffer, BUF_LEN, index) != (char *)0
         && buffer[0] != FIN_INDEX);
 
Index: Singular/mpsr_Error.cc
===================================================================
--- Singular/mpsr_Error.cc	(revision dda55083d99d834e2bb04d41042afd9fee970586)
+++ Singular/mpsr_Error.cc	(revision a3600c96f2d4c4189dbfe8f553885cf86db78ffa)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: mpsr_Error.cc,v 1.6 1999-03-08 17:30:44 Singular Exp $ */
+/* $Id: mpsr_Error.cc,v 1.7 1999-04-09 12:14:56 Singular Exp $ */
 
 /***************************************************************
@@ -54,5 +54,5 @@
 {
   mpsr_SetError(mpsr_MP_Failure);
-  mpsr_MP_errno = link->errno;
+  mpsr_MP_errno = link->MP_errno;
   return mpsr_MP_Failure;
 }
